

# Rows as well as indexes might change.

ID_ROW = "id"
USERID_ROW = 'employee_id'
GUID_ROW = "guid"
SOURCEID_ROW = "source_id"
FILENAME_ROW = "filename"
TIMEZONE_ROW = "employee_timezone"
FILEPATH_ROW = "full_path"
EVENTYPE_ROW = "work_hour_type"
SOURCERECORD_ROW = "source_record"
DETERMINATION_ROW = "determination"
PRODSCORE_ROW = "prod_score"
RISKSCORE_ROW = "risk_score"
ACTIONTYPE_ROW = "action_type"
DATEUTC_ROW = "date_utc"
DATE_LOCAL_ROW = "date_local"
COMPUTER_ROW = "computer_id"
USER_ROW='user'
DURATION_ROW = "duration"
TITLE_ROW = "title"
EXECUTABLE = "executable"
DESCRIPTION = "description"
URL_ROW='web_url'
WEBDOMAIN_ROW = "web_domain"
WEBPARAM_ROW = "web_param"
WEBPATH_ROW = "web_path"
PUBLICIP_ROW = "public_ip"
PRIVATEIP_ROW = "private_ip"
APPLICATION_ROW = 'application'
APPLICATIONTYPE_ROW = "application_type"
OPERATION_ROW = "operation"
ORIGINALOPERATION_ROW = "org_operation"
GROUP_ROW = 'team_id'
MONTH_ROW='month'
MONTHNAME_ROW = "month_name"
WEEKDAY_ROW='weekday_n'
WEEKDAYNAME_ROW = "weekday_name"
YEAR_ROW = 'year'
DAYS_ROW='day'
HOUR_ROW = 'hour'
DATE_ROW='date'
DATETIME_ROW='datetime'
MINUTES_ROW = 'minute'
SECONDS_ROW='seconds'
SUBJECT_ROW = "subject"
RECIPIENTS_ROW = "recipients"
SENDER_ROW = "sender"
CC_ROW = "cc"
BCC_ROW = "bcc"
ATTACHMENTS_ROW = "attachments"
SIZE_ROW = "size"
CALLER_NUMBERS_ROW = "caller_phone_number"
RECIPIENT_NUMBER_ROW = "recipient_phone_number"
CALL_DURATION_ROW = "call_duration"
PROFILE_ROW = "profile_id"
RECORD_NUMBER_ROW="original_identifier"
TIMESLOT_ROW = "time_slot"
ORGANIZATION_ROW = "organization_id"
ISPRODUCTIVE_ROW='determination'
ROW_ORGANIZATION_ID = "organization_id"

ROW_LOG_ID = 'id'
ROW_ACCOUNT_ID = 'organization_id'
ROW_LOG_TYPE = 'source_type'
ROW_PATH = 's3_path'
ROW_MAPPINGBUCKETS = "mapping_buckets"
ROWS_ARR = [ROW_LOG_ID, 'status', ROW_ACCOUNT_ID, ROW_LOG_TYPE, ROW_PATH, 'mapping_instruction', ROW_MAPPINGBUCKETS]
ROWS_STR = ",".join(ROWS_ARR)
NOTFOUND = "null"
ROW_ITEM = "item"
ROW_AFFECTED_ITEMS = "affected_items"
ROW_SUBJECTRE = "subject_re"
ROW_MAIL_PATH = "mailpath"
ROW_ATTACHMENTS = "attachments"
WEEKNUM_ROW = "week"


sql_event_descriptions = {
    GUID_ROW: 'Global Unique Identifier of the event.',
    ORGANIZATION_ROW: 'internal identifier of the organization this events belongs to',
    USERID_ROW: 'internal identifier of the employee this event belongs to.',
    SOURCEID_ROW: 'internal identifier of the original source.',
    PROFILE_ROW: 'internal_identifier of the Profile.',

    USER_ROW: 'Username of the employee this event belong to.',
    TIMEZONE_ROW: 'The timezone of the employee associated with the event.',
    FILEPATH_ROW: 'The Full filepath of the original source file on S3.',
    EVENTYPE_ROW: 'Classification of the employee status (e.g. AFTERHOURS, WORKSHOURS) at the time of event registration in local timezone',
    RECORD_NUMBER_ROW: 'The location (row number) of the event int he original source.',
    DATEUTC_ROW: 'The date of the event in Coordinated Universal Time (UTC).',
    COMPUTER_ROW: 'Identifier of the computer associated with the event.',
    PUBLICIP_ROW: 'The public IP address associated with the event.',
    APPLICATION_ROW: 'The type of application used ot register the event. ( mapping of the type can be configured under bucket settings).',
    ORIGINALOPERATION_ROW: 'The original operation associated with the event.',
    GROUP_ROW: 'The internal identifier of the team associated with the event.',
    SUBJECT_ROW: 'The Subject of the email associated with the event.',
    RECIPIENTS_ROW: 'The Recipients of the email associated with the event.',
    SENDER_ROW: 'The sender of the email associated with the event.',
    CC_ROW: 'The carbon copy (CC) recipients of the email associated with the event.',
    BCC_ROW: 'The blind carbon copy (BCC) recipients of the email associated with the event.',

    WEEKDAYNAME_ROW: 'The short name of hte weekday (e.g. Mon, Tue, Wed) on which the event ocurred.',
    MONTHNAME_ROW: 'The name of the month (e.g. December, January) in which the event occurred.',
    MONTH_ROW: 'The number of the month (e.g. 1 for January, 12 for December) in which the event occurred.',

    WEEKDAY_ROW:'The number of the weekday (e.g. 0 for Monday, 4 for Friday) on which the event occured',
    DAYS_ROW: 'The day of the month on which the event occurred.',
    HOUR_ROW: 'The hour at which the event was registered.',
    MINUTES_ROW: 'The minute on which the event was registered.',
    DATE_ROW: 'The Date on which event was registered.',
    TIMESLOT_ROW: 'The time slot in which the event was registered.',
    WEEKNUM_ROW: 'The week number in which the event was registered (Last week of the year is 52, and 1 for the first week.)',

    DATE_LOCAL_ROW: 'The date of the event in the employee\'s local timezone.',

    APPLICATIONTYPE_ROW: 'The type of application used to register the event',
    OPERATION_ROW: 'The operation type based on the original operation associated with the event (Mappings can be modified at Bucket Settings)',
    ROW_ITEM: 'Items associated with the event',
    ROW_AFFECTED_ITEMS: 'The location (row number) of the affected items associated with the event',
    ROW_SUBJECTRE: 'Subject of the emails associated with the event',
    ROW_MAIL_PATH: 'The mail path (e.g. Inbox, Contacts, Drafts) associated with the event in the operation',
    ROW_ATTACHMENTS: 'Attachemnts associated with the emails associated with the event.',

}



